#!/usr/bin/perl

use Astro::Sunrise;

# config

$dayimg = '~/wallpapers/day.jpg';
$nightimg = '~/wallpapers/night.jpg';

$longitude = 19.191;
$latitude  = 55.555;

# main

@sunrise = split(/:/,sun_rise($longitude,$latitude));
@sunset  = split(/:/,sun_set($longitude,$latitude));

$sunrise = $sunrise[0] + $sunrise[1] / 60 ;
$sunset = $sunset[0] + $sunset[1] / 60 ;

@time = localtime(time);
$time    = $time[2] + $time[1] / 60;

$day = (($sunrise < $time) && ($time < $sunset)) ? 1 : 0;

$img = $day ? $dayimg : $nightimg;

system("gconftool -t string -s /desktop/gnome/background/picture_filename $img");

